## net.sf.colorer.eclipse.outline
Interface IWorkbenchOutlineSource

All Superinterfaces:
  IOutlineSource

All Known Implementing Classes:
  ParseTreeOutliner, WorkbenchOutliner

    public interface IWorkbenchOutlineSource

extends IOutlineSource

Interface for possible Colorer Editor outliners

Method Summary
`void` `attachOutliner(TextColorer editor)` Attaches the outliner, specified by this interface to the editor, causing this outliner to recieve parse information.
`void` `clear()` Cleans out current outline elements.
`void` `detachOutliner(TextColorer editor)` Detaches the outliner, specified by this interface
`void` `setHierarchy(boolean hierarchy)`
`void` `setSorting(boolean sorting)`

Methods inherited from interface net.sf.colorer.editor.IOutlineSource
`addListener, removeListener`

Method Detail

### clear

    void clear()

  Cleans out current outline elements.

### setHierarchy

    void setHierarchy(boolean hierarchy)

### setSorting

    void setSorting(boolean sorting)

### attachOutliner

    void attachOutliner(TextColorer editor)

  Attaches the outliner, specified by this interface to the editor, causing this outliner to recieve parse information.

  Parameters:
    `editor` -

### detachOutliner

    void detachOutliner(TextColorer editor)

  Detaches the outliner, specified by this interface

Copyright © 2003 Cail Lomecb. All Rights Reserved.